## qt6-tools 6.2.4

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)


qt_exclude_tool_directories_from_default_target(
    assistant
)

if(TARGET Qt::Widgets)
    add_subdirectory(help)
    add_subdirectory(linguist)
    add_subdirectory(uitools)
endif()
if(QT_FEATURE_process AND TARGET Qt::Widgets)
    add_subdirectory(designer)
    add_subdirectory(assistant)
endif()

qt_examples_build_end()

=== src/CMakeLists.txt ===
# Generated from src.pro.

# special case begin
# Need to stop building these apps by default because they would fail
# in device_and_simulator and webassembly builds.
if(IOS OR WASM)
   set(_qt_additional_tools_to_exclude qtplugininfo)
endif()
# special case end

qt_exclude_tool_directories_from_default_target(
    distancefieldgenerator
    pixeltool
    ${_qt_additional_tools_to_exclude} # special case
)


# special case begin
# Evaluate features to decide what to build.
# The config files will be written in the src/global module.
qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/../configure.cmake")
# special case end

add_subdirectory(global) # special case add as first directory
if(QT_FEATURE_linguist)
    add_subdirectory(linguist)
endif()
# add_subdirectory(global) # special case remove
if(QT_FEATURE_designer)
    add_subdirectory(designer)
endif()
if(QT_FEATURE_pixeltool)
    add_subdirectory(pixeltool)
endif()
if(QT_FEATURE_assistant)
    add_subdirectory(assistant)
endif()
if(QT_FEATURE_distancefieldgenerator)
    add_subdirectory(distancefieldgenerator)
endif()
if(QT_FEATURE_qtattributionsscanner)
    add_subdirectory(qtattributionsscanner)
endif()
if(QT_FEATURE_qtplugininfo)
    add_subdirectory(qtplugininfo)
endif()
if(QT_FEATURE_clang AND QT_FEATURE_commandlineparser AND QT_FEATURE_thread)
    add_subdirectory(qdoc)
endif()
if(QT_FEATURE_macdeployqt)
    add_subdirectory(macdeployqt)
endif()
if(QT_FEATURE_qdbus)
    add_subdirectory(qdbus)
endif()
if(QT_FEATURE_windeployqt) # special case
    add_subdirectory(windeployqt)
endif()
if(QT_FEATURE_qtdiag)
    add_subdirectory(qtdiag)
endif()

=== examples/assistant/CMakeLists.txt ===
# Generated from assistant.pro.

qt_internal_add_example(simpletextviewer)
qt_internal_add_example(remotecontrol)

=== examples/uitools/CMakeLists.txt ===
# Generated from uitools.pro.

qt_internal_add_example(multipleinheritance)
qt_internal_add_example(textfinder)

=== src/assistant/CMakeLists.txt ===
# Generated from assistant.pro.

# special case begin
if(NOT TARGET Qt::Sql OR NOT TARGET Qt::PrintSupport)
    return()
endif()
# special case end

qt_exclude_tool_directories_from_default_target(
    assistant
    qhelpgenerator
)

if(NOT TARGET Qt::Sql)
    return()
endif()
if(NOT QT_FEATURE_assistant)
    return()
endif()
add_subdirectory(help)
add_subdirectory(assistant)
add_subdirectory(qhelpgenerator)

set(QLITEHTML_BIN_PATH ${INSTALL_BINDIR})
set(QLITEHTML_LIBRARY_PATH ${INSTALL_LIBDIR})
set(QLITEHTML_LIBRARY_TYPE STATIC)
set(BUILD_SHARED_LIBS OFF)
if(QT_FEATURE_static_runtime AND MSVC)
    set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
endif()
add_subdirectory(qlitehtml/src EXCLUDE_FROM_ALL)
if(TARGET qlitehtml)
    qt_autogen_tools_initial_setup(qlitehtml)
    qt_internal_set_exceptions_flags(litehtml OFF)
    qt_disable_warnings(litehtml)
    qt_disable_warnings(qlitehtml)
    qt_disable_warnings(gumbo)
    qt_handle_multi_config_output_dirs(qlitehtml)
    set_target_properties(qlitehtml PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY "${QT_BUILD_DIR}/${INSTALL_BINDIR}"
        LIBRARY_OUTPUT_DIRECTORY "${QT_BUILD_DIR}/${INSTALL_LIBDIR}"
        ARCHIVE_OUTPUT_DIRECTORY "${QT_BUILD_DIR}/${INSTALL_LIBDIR}")
else()
    message(FATAL_ERROR "qlitehtml not found. Did you run git submodule update --init --recursive?")
endif()

=== src/qdbus/CMakeLists.txt ===
# Generated from qdbus.pro.

if(NOT QT_FEATURE_qdbus)
    return()
endif()
if(QT_FEATURE_dom)
    add_subdirectory(qdbus)
endif()
if(QT_FEATURE_dialogbuttonbox AND QT_FEATURE_inputdialog AND QT_FEATURE_menu AND QT_FEATURE_messagebox AND TARGET Qt::Widgets)
    add_subdirectory(qdbusviewer)
endif()

=== src/qtattributionsscanner/CMakeLists.txt ===
# Generated from qtattributionsscanner.pro.

#####################################################################
## qtattributionsscanner Tool:
#####################################################################

qt_get_tool_target_name(target_name qtattributionsscanner)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "Qt Source Code Attribution Scanner"
    TOOLS_TARGET Tools # special case
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        jsongenerator.cpp jsongenerator.h
        logging.h
        main.cpp
        package.h
        packagefilter.cpp packagefilter.h
        qdocgenerator.cpp qdocgenerator.h
        scanner.cpp scanner.h
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
)

#### Keys ignored in scope 1:.:.:qtattributionsscanner.pro:<TRUE>:
# QMAKE_TARGET_DESCRIPTION = "Qt Source Code Attribution Scanner"
# QT_FOR_CONFIG = "tools-private"
# _OPTION = "host_build"
# _REQUIREMENTS = "qtConfig(qtattributionsscanner)"

=== src/qtdiag/CMakeLists.txt ===
# Generated from qtdiag.pro.

#####################################################################
## qtdiag App:
#####################################################################

qt_internal_add_app(qtdiag
    INSTALL_VERSIONED_LINK
    SOURCES
        main.cpp
        qtdiag.cpp qtdiag.h
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        # Qt::Gui # special case QTBUG-83498
        # Qt::GuiPrivate # special case QTBUG-83498
)
set_target_properties(qtdiag PROPERTIES
    WIN32_EXECUTABLE FALSE
)

#### Keys ignored in scope 1:.:.:qtdiag.pro:<TRUE>:
# QT_FOR_CONFIG = "tools-private"
# _REQUIREMENTS = "qtConfig(qtdiag)"

## Scopes:
#####################################################################

qt_internal_extend_target(qtdiag CONDITION QT_FEATURE_opengl
    PUBLIC_LIBRARIES
        Qt::OpenGL
        Qt::Gui # special case QTBUG-83498
        Qt::GuiPrivate # special case QTBUG-83498
)

qt_internal_extend_target(qtdiag CONDITION TARGET Qt::Widgets
    PUBLIC_LIBRARIES
        Qt::Widgets
        Qt::Gui # special case QTBUG-83498
        Qt::GuiPrivate # special case QTBUG-83498
)

# special case begin
# QTBUG-83498
qt_internal_extend_target(qtdiag CONDITION NOT TARGET Qt::Widgets AND NOT QT_FEATURE_opengl
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate # special case QTBUG-83498
)
# special case end

qt_internal_extend_target(qtdiag CONDITION TARGET Qt::Network
    DEFINES
        NETWORK_DIAG
    PUBLIC_LIBRARIES
        Qt::Network
)

=== examples/designer/calculatorbuilder/CMakeLists.txt ===
# Generated from calculatorbuilder.pro.

cmake_minimum_required(VERSION 3.16)
project(calculatorbuilder LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/designer/calculatorbuilder")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS UiTools)

qt_add_executable(calculatorbuilder
    calculatorform.cpp calculatorform.h
    main.cpp
)
set_target_properties(calculatorbuilder PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(calculatorbuilder PUBLIC
    Qt::Core
    Qt::Gui
    Qt::UiTools
    Qt::Widgets
)


# Resources:
set(calculatorbuilder_resource_files
    "calculatorform.ui"
)

qt6_add_resources(calculatorbuilder "calculatorbuilder"
    PREFIX
        "/forms"
    FILES
        ${calculatorbuilder_resource_files}
)

install(TARGETS calculatorbuilder
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/designer/calculatorform/CMakeLists.txt ===
# Generated from calculatorform.pro.

cmake_minimum_required(VERSION 3.16)
project(calculatorform LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/designer/calculatorform")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)

qt_add_executable(calculatorform
    calculatorform.cpp calculatorform.h calculatorform.ui
    main.cpp
)
set_target_properties(calculatorform PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(calculatorform PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
)

install(TARGETS calculatorform
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/designer/containerextension/CMakeLists.txt ===
# Generated from containerextension.pro.

cmake_minimum_required(VERSION 3.16)
project(containerextension LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/plugins/designer") # special case

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS Designer)

# special case begin
qt_add_plugin(containerextension)
target_sources(containerextension PRIVATE
    multipagewidget.cpp multipagewidget.h
    multipagewidgetcontainerextension.cpp multipagewidgetcontainerextension.h
    multipagewidgetextensionfactory.cpp multipagewidgetextensionfactory.h
    multipagewidgetplugin.cpp multipagewidgetplugin.h
)
# special case end
set_target_properties(containerextension PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(containerextension PUBLIC
    Qt::Core
    Qt::Designer
    Qt::Gui
    Qt::Widgets
)

install(TARGETS containerextension
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/designer/customwidgetplugin/CMakeLists.txt ===
# Generated from customwidgetplugin.pro.

cmake_minimum_required(VERSION 3.16)
project(customwidgetplugin LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/plugins/designer") # special case

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS UiPlugin)

# special case begin
qt_add_plugin(customwidgetplugin)
target_sources(customwidgetplugin PRIVATE
    analogclock.cpp analogclock.h
    customwidgetplugin.cpp customwidgetplugin.h
)
# special case end
set_target_properties(customwidgetplugin PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(customwidgetplugin PUBLIC
    Qt::Core
    Qt::Gui
    Qt::UiPlugin
    Qt::Widgets
)

install(TARGETS customwidgetplugin
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-tools (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update ABI to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 23:30:38 +0200

qt6-tools (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 21:58:01 +0100

qt6-tools (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 19:45:45 +0100

qt6-tools (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999890)

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Nov 2021 01:34:55 +0100

=== debian/control ===
Source: qt6-tools
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: clang (>= 1:13~),
               cmake (>= 3.18~),
               debhelper-compat (= 13),
               libclang-dev (>= 1:13~),
               libgl-dev,
               liblitehtml-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               llvm-dev (>= 1:13~),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
Rules-Requires-Root: no

Package: libqt6designer6
Architecture: any
Multi-Arch: same
Provides: qt6-designer-abi (= 6.2.4)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Designer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner library provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt6designercomponents6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Designer Components library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes components for the Qt 6 Designer library.

Package: libqt6help6
Architecture: any
Multi-Arch: same
Provides: qt6-help-abi (= 6.2.4)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Help library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp library provides classes for integrating online documentation in
 applications.

Package: libqt6uitools6
Architecture: any
Multi-Arch: same
Provides: qt6-uitools-abi (= 6.2.4)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 UI tools library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The package provides classes to handle forms created with Qt Designer.

Package: assistant-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Assistant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Assistant is a tool for viewing on-line documentation in Qt help file
 format.

Package: designer-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Designer
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Designer is the Qt tool for designing and building graphical user
 interfaces (GUIs) with Qt Widgets.

Package: linguist-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Linguist
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Linguist is a tool for adding translations to Qt applications.

Package: qt6-documentation-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 documentation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools like qdoc, qtattributionsscanner and
 qhelpgenerator.
 .
 qdoc is a command-line tool for generating HTML documentation from .cpp
 and .qdoc files.
 .
 qtattributionsscanner is a command-line tool that scans the source
 code for qt_attribution.json file and outputs JSON or qdoc files
 describing the copyright attributions for third party code.
 .
 qhelpgenerator is a command-line tool for packaging the HTML
 documentation generated by qdoc into .qch files.

Package: qt6-l10n-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 translation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools to create translation files.

Package: qt6-tools-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6designer6 (= ${binary:Version}),
         libqt6designercomponents6 (= ${binary:Version}),
         libqt6help6 (= ${binary:Version}),
         libqt6uitools6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Tools - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications.

Package: qt6-tools-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-tools-dev (= ${binary:Version}), ${misc:Depends}
Description: Qt 6 Tools - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains private header development files.
 .
 Use at your own risk.

Package: qt6-tools-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of applications to browse the documentation,
 translate applications, generate help files and other stuff that
 helps in Qt development. These tools are among others:
  * pixeltool
  * qdbusviewer

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LLVM_INSTALL_DIR := $(shell llvm-config --prefix)

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_SKIP_INSTALL_RPATH=ON

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-tools 6.3.1

=== debian/changelog ===
qt6-tools (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:23:59 +0200

qt6-tools (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update ABI to 6.3.1.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 04:20:01 +0200

qt6-tools (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update ABI to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove dependency to qtchooser as it is dead upstream.

 -- Patrick Franz <deltaone@debian.org>  Mon, 30 May 2022 16:51:12 +0200

qt6-tools (6.2.4-3) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove dependency to qtchooser as it is dead upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 07 Jul 2022 14:01:23 -0300

qt6-tools (6.2.4-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the libqt6sql6-sqlite dependency to qt6-documentation-tools, as at least
    qhelpgenerator needs the QSQLITE plugin.
  * Add assistant-qt6, designer-qt6, linguist-qt6, qt6-documentation-tools, and
    qt6-l10n-tools as dependencies to qt6-tools-dev-tools: it is expected that
    installing the "dev tools" package installs them all.
  * Add the qt6-tools-dev-tools dependency to qt6-tools-dev: the latter has
    cmake config files with targets for the tools, so it makes sense to not
    have to install tools based on which cmake target is being used.

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:39 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libclang-dev (>= 1:13~),
                libgl-dev,
                liblitehtml-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
@@ -17,11 +17,11 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -30,7 +30,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-abi (= 6.2.4)
+Provides: qt6-designer-abi (= 6.3.1)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Designer library
@@ -55,7 +55,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-abi (= 6.2.4)
+Provides: qt6-help-abi (= 6.3.1)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Help library
@@ -68,7 +68,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-abi (= 6.2.4)
+Provides: qt6-uitools-abi (= 6.3.1)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 UI tools library
@@ -81,7 +81,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Assistant
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -93,7 +93,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Designer
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -105,7 +105,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Linguist
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -116,7 +116,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: utils
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 documentation tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -138,7 +138,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: utils
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 translation tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -154,6 +154,7 @@
          libqt6help6 (= ${binary:Version}),
          libqt6uitools6 (= ${binary:Version}),
          qt6-base-dev,
+         qt6-tools-dev-tools (= ${binary:Version}),
          ${misc:Depends},
 Description: Qt 6 Tools - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -179,7 +180,13 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: assistant-qt6 (= ${binary:Version}),
+         designer-qt6 (= ${binary:Version}),
+         linguist-qt6 (= ${binary:Version}),
+         qt6-documentation-tools (= ${binary:Version}),
+         qt6-l10n-tools (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 development tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-tools 6.4.2~rc1

=== CMakeLists.txt ===
# Generated from qttools.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtTools # special case
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Tools" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# add platform specific compontents
set(optional_components "")
if(WIN32)
    list(APPEND optional_components AxContainer)
endif()

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS
             DBus Xml Widgets Quick QuickWidgets Qml
             Sql PrintSupport OpenGL OpenGLWidgets ${optional_components})

qt_build_repo()

# special case begin

# Add tool dependencies that were deferred by qt_internal_add_docs.
qt_internal_add_deferred_dependencies()

# special case end

=== src/global/CMakeLists.txt ===
# Generated from global.pro.

#####################################################################
## Tools Module:
#####################################################################

qt_internal_add_module(Tools
    INTERNAL_MODULE
    HEADER_MODULE
    # special case begin
    CONFIGURE_FILE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../configure.cmake"
    # special case end
    MODULE_INTERFACE_NAME Tools # Specify the 'Tools' name explicitly to avoid warning
                                # related to the expected name of internal module.
)

#### Keys ignored in scope 1:.:.:global.pro:<TRUE>:
# MODULE = "tools"

=== src/kmap2qmap/CMakeLists.txt ===
# Generated from kmap2qmap.pro.

#####################################################################
## kmap2qmap App:
#####################################################################

qt_internal_add_app(kmap2qmap
    SOURCES
        main.cpp
    PUBLIC_LIBRARIES
        Qt::InputSupportPrivate
)
set_target_properties(kmap2qmap PROPERTIES
    WIN32_EXECUTABLE FALSE
)

#### Keys ignored in scope 1:.:.:kmap2qmap.pro:<TRUE>:
# QT_FOR_CONFIG = "tools-private"
# _REQUIREMENTS = "qtConfig(kmap2qmap)"

=== src/qtattributionsscanner/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
         QT_NO_CAST_FROM_ASCII
         QT_NO_CAST_TO_ASCII
 )
+qt_internal_return_unless_building_tools()
 
 #### Keys ignored in scope 1:.:.:qtattributionsscanner.pro:<TRUE>:
 # QMAKE_TARGET_DESCRIPTION = "Qt Source Code Attribution Scanner"

=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

if(QT_FEATURE_process AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(linguist)
    add_subdirectory(qtattributionsscanner)
    add_subdirectory(qtdiag)
endif()
if(TARGET Qt::qdoc AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(qdoc)
endif()
if(TARGET Qt::Help AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(qhelpcontentmodel)
    add_subdirectory(qhelpenginecore)
    add_subdirectory(qhelpgenerator)
    add_subdirectory(qhelpindexmodel)
    add_subdirectory(qhelpprojectdata)
endif()
# special case begin
# add_subdirectory(cmake)
# if (TARGET Qt::Linguist)
# add_subdirectory(cmake/linguist)
# endif()
# special case end

=== examples/designer/taskmenuextension/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(taskmenuextension LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/plugins/designer")

find_package(Qt6 REQUIRED COMPONENTS Core Designer Gui Widgets)

qt_add_plugin(taskmenuextension)
target_sources(taskmenuextension PRIVATE
    tictactoe.cpp tictactoe.h
    tictactoedialog.cpp tictactoedialog.h
    tictactoeplugin.cpp tictactoeplugin.h
    tictactoetaskmenu.cpp tictactoetaskmenu.h
)

set_target_properties(taskmenuextension PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(taskmenuextension PUBLIC
    Qt::Core
    Qt::Designer
    Qt::Gui
    Qt::Widgets
)

install(TARGETS taskmenuextension
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/designer/worldtimeclockbuilder/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(worldtimeclockbuilder LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/designer/worldtimeclockbuilder")

find_package(Qt6 REQUIRED COMPONENTS Core Gui UiTools Widgets)

qt_add_executable(worldtimeclockbuilder
    main.cpp
)

set_target_properties(worldtimeclockbuilder PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(worldtimeclockbuilder PUBLIC
    Qt::Core
    Qt::Gui
    Qt::UiTools
    Qt::Widgets
)

# Resources:
set(worldtimeclockbuilder_resource_files
    "form.ui"
)

qt6_add_resources(worldtimeclockbuilder "worldtimeclockbuilder"
    PREFIX
        "/forms"
    FILES
        ${worldtimeclockbuilder_resource_files}
)

install(TARGETS worldtimeclockbuilder
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/designer/src/CMakeLists.txt ===
# Generated from src.pro.


qt_exclude_tool_directories_from_default_target(
    lib
    components
    designer
    plugins
)

if(QT_FEATURE_process)
    add_subdirectory(lib)
    add_subdirectory(components)
    add_subdirectory(designer)
endif()
if(QT_BUILD_SHARED_LIBS AND QT_FEATURE_process)
    add_subdirectory(plugins)
endif()

=== src/linguist/linguist/CMakeLists.txt ===
# Generated from linguist.pro.

#####################################################################
## linguist App:
#####################################################################

qt_internal_add_app(linguist
    SOURCES
        ../shared/numerus.cpp
        ../shared/po.cpp
        ../shared/qm.cpp
        ../shared/qph.cpp
        ../shared/simtexth.cpp ../shared/simtexth.h
        ../shared/translator.cpp ../shared/translator.h
        ../shared/translatormessage.cpp ../shared/translatormessage.h
        ../shared/ts.cpp
        ../shared/xliff.cpp
        ../shared/xmlparser.cpp ../shared/xmlparser.h
        batchtranslation.ui
        batchtranslationdialog.cpp batchtranslationdialog.h
        errorsview.cpp errorsview.h
        finddialog.cpp finddialog.h finddialog.ui
        formpreviewview.cpp formpreviewview.h
        globals.cpp globals.h
        main.cpp
        mainwindow.cpp mainwindow.h mainwindow.ui
        messageeditor.cpp messageeditor.h
        messageeditorwidgets.cpp messageeditorwidgets.h
        messagehighlighter.cpp messagehighlighter.h
        messagemodel.cpp messagemodel.h
        phrase.cpp phrase.h
        phrasebookbox.cpp phrasebookbox.h phrasebookbox.ui
        phrasemodel.cpp phrasemodel.h
        phraseview.cpp phraseview.h
        printout.cpp printout.h
        recentfiles.cpp recentfiles.h
        sourcecodeview.cpp sourcecodeview.h
        statistics.cpp statistics.h statistics.ui
        translatedialog.cpp translatedialog.h translatedialog.ui
        translationsettings.ui
        translationsettingsdialog.cpp translationsettingsdialog.h
    DEFINES
        QFORMINTERNAL_NAMESPACE
        QT_KEYWORDS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    INCLUDE_DIRECTORIES
        ../shared
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::PrintSupport
        Qt::UiToolsPrivate
        Qt::Widgets
    ENABLE_AUTOGEN_TOOLS
        uic
)

# Resources:
set(linguist_resource_files
    "images/appicon.png"
    "images/down.png"
    "images/editdelete.png"
    "images/icons/linguist-128-32.png"
    "images/mac/accelerator.png"
    "images/mac/book.png"
    "images/mac/done.png"
    "images/mac/doneandnext.png"
    "images/mac/editcopy.png"
    "images/mac/editcut.png"
    "images/mac/editpaste.png"
    "images/mac/fileopen.png"
    "images/mac/filesave.png"
    "images/mac/next.png"
    "images/mac/nextunfinished.png"
    "images/mac/phrase.png"
    "images/mac/prev.png"
    "images/mac/prevunfinished.png"
    "images/mac/print.png"
    "images/mac/punctuation.png"
    "images/mac/redo.png"
    "images/mac/searchfind.png"
    "images/mac/surroundingwhitespace.png"
    "images/mac/undo.png"
    "images/mac/validateplacemarkers.png"
    "images/mac/whatsthis.png"
    "images/minus.png"
    "images/plus.png"
    "images/s_check_danger.png"
    "images/s_check_empty.png"
    "images/s_check_obsolete.png"
    "images/s_check_off.png"
    "images/s_check_on.png"
    "images/s_check_warning.png"
    "images/up.png"
    "images/win/accelerator.png"
    "images/win/book.png"
    "images/win/done.png"
    "images/win/doneandnext.png"
    "images/win/editcopy.png"
    "images/win/editcut.png"
    "images/win/editpaste.png"
    "images/win/fileopen.png"
    "images/win/filesave.png"
    "images/win/next.png"
    "images/win/nextunfinished.png"
    "images/win/phrase.png"
    "images/win/prev.png"
    "images/win/prevunfinished.png"
    "images/win/print.png"
    "images/win/punctuation.png"
    "images/win/redo.png"
    "images/win/searchfind.png"
    "images/win/surroundingwhitespace.png"
    "images/win/undo.png"
    "images/win/validateplacemarkers.png"
    "images/win/whatsthis.png"
)

qt_internal_add_resource(linguist "linguist"
    PREFIX
        "/"
    FILES
        ${linguist_resource_files}
)

set_target_properties(linguist PROPERTIES
    QT_TARGET_DESCRIPTION "Qt Linguist"
)

# special case begin
file(GLOB phrasebooks_files "${CMAKE_CURRENT_SOURCE_DIR}/../phrasebooks/*")
qt_install(FILES ${phrasebooks_files} DESTINATION "${INSTALL_DATADIR}/phrasebooks")
# special case end

qt_internal_extend_target(linguist CONDITION QT_PRODUCT___contains___OpenSource._x_
    DEFINES
        QT_OPENSOURCE
)

if(WIN32)
    set_target_properties(linguist PROPERTIES
        QT_TARGET_RC_ICONS "${CMAKE_CURRENT_SOURCE_DIR}/linguist.ico"
    )
endif()

if(WIN32)
    set_target_properties(linguist PROPERTIES
        QT_TARGET_VERSION "${PROJECT_VERSION}.0"
    )
endif()

if(UNIX)
    set_target_properties(linguist PROPERTIES
        QT_TARGET_VERSION "${PROJECT_VERSION}"
    )
endif()

if(APPLE)
    set_target_properties(linguist PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info_mac.plist"
        MACOSX_BUNDLE TRUE
        MACOSX_BUNDLE_ICON_FILE "linguist.icns"
        OUTPUT_NAME "Linguist"
    )
    set_source_files_properties(linguist.icns PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
    )
    target_sources(linguist PRIVATE
        linguist.icns
    )
else()
    set_property(SOURCE main.cpp PROPERTY SKIP_AUTOMOC ON)
endif()
qt_internal_add_docs(linguist
    doc/qtlinguist.qdocconf
)

=== tests/auto/qhelpcontentmodel/CMakeLists.txt ===
# Generated from qhelpcontentmodel.pro.

#####################################################################
## tst_qhelpcontentmodel Test:
#####################################################################

qt_internal_add_test(tst_qhelpcontentmodel
    SOURCES
        tst_qhelpcontentmodel.cpp
    DEFINES
        QT_USE_USING_NAMESPACE
        SRCDIR=\\\"${CMAKE_CURRENT_SOURCE_DIR}\\\"
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Help
)

=== tests/auto/qhelpgenerator/CMakeLists.txt ===
# Generated from qhelpgenerator.pro.

#####################################################################
## tst_qhelpgenerator Test:
#####################################################################

qt_internal_add_test(tst_qhelpgenerator
    SOURCES
        ../../../src/assistant/qhelpgenerator/helpgenerator.cpp ../../../src/assistant/qhelpgenerator/helpgenerator.h
        ../../../src/assistant/qhelpgenerator/qhelpdatainterface.cpp ../../../src/assistant/qhelpgenerator/qhelpdatainterface_p.h
        ../../../src/assistant/qhelpgenerator/qhelpprojectdata.cpp ../../../src/assistant/qhelpgenerator/qhelpprojectdata_p.h
        tst_qhelpgenerator.cpp
    DEFINES
        QT_USE_USING_NAMESPACE
        SRCDIR=\\\"${CMAKE_CURRENT_SOURCE_DIR}\\\"
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::HelpPrivate
        Qt::Sql
)

=== tests/manual/qtattributionsscanner/CMakeLists.txt ===
# Generated from qtattributionsscanner.pro.

=== debian/changelog ===
qt6-tools (6.4.2~rc1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Adjust dependencies so the package can build in stable.
    - Decrease clang/LLVM version.
    - Use internal liblitehtml.
  * Adjust symbols files with current build logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jan 2023 16:27:36 -0300

qt6-tools (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:08 +0100

qt6-tools (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Force libclang-dev and llvm-dev to use the llvm-15 toolchain explicitly.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:47 +0100

qt6-tools (6.4.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Force again build with clang-15.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Nov 2022 01:43:02 +0100

qt6-tools (6.4.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Force build with clang-14.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:30:15 +0100

qt6-tools (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 11:37:08 +0100

qt6-tools (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update ABI to 6.4.1.
  * Remove fix-build-with-clang-15.patch as it has been applied
    upstream.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 19:46:41 +0100

qt6-tools (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Force build with clang-15.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Nov 2022 11:42:25 +0100

qt6-tools (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove redundant B-D.
  * Enable link time optimization (Closes: #1015625).

  [ Rob Savoury ]
  * Actually build with system litehtml (Closes: #1018004):
    - debian/patches/: Add fix-build-with-system-litehtml.patch to fix FTBFS
    - debian/control: Bump to liblitehtml-dev (>= 0.6~) B-D for the
      exact version included in src:qt6-tools, required for successful build

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Nov 2022 13:21:20 +0100

qt6-tools (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Split qdbus out of qt6-tools-dev-tools, as it might be required by an
    applications as a helper binary.
    - Make qt6-tools-dev-tools depend upon qdbus-qt6.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update ABI to 6.4.0.
  * Update B-Ds.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 14:03:37 +0200

qt6-tools (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 08 Sep 2022 11:08:25 -0300

qt6-tools (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 13:44:27 -0300

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>
-Build-Depends: clang (>= 1:13~),
-               cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+Build-Depends: clang,
+               cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-dev (>= 1:13~),
+               libclang-dev,
                libgl-dev,
-               liblitehtml-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
-               llvm-dev (>= 1:13~),
+               llvm-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -30,7 +30,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-abi (= 6.3.1)
+Provides: qt6-designer-abi (= 6.4.2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Designer library
@@ -55,7 +55,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-abi (= 6.3.1)
+Provides: qt6-help-abi (= 6.4.2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Help library
@@ -68,7 +68,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-abi (= 6.3.1)
+Provides: qt6-uitools-abi (= 6.4.2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 UI tools library
@@ -111,6 +111,19 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  Qt Linguist is a tool for adding translations to Qt applications.
+
+Package: qdbus-qt6
+Architecture: any
+Multi-Arch: foreign
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qt6-tools-dev-tools (<< 6.3.1-2~)
+Replaces: qt6-tools-dev-tools (<< 6.3.1-2~)
+Description: Qt 6 D-Bus application
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ qdbus is a tool for listing D-Bus services and its properties.
 
 Package: qt6-documentation-tools
 Architecture: any
@@ -183,6 +196,7 @@
 Depends: assistant-qt6 (= ${binary:Version}),
          designer-qt6 (= ${binary:Version}),
          linguist-qt6 (= ${binary:Version}),
+         qdbus-qt6 (= ${binary:Version}),
          qt6-documentation-tools (= ${binary:Version}),
          qt6-l10n-tools (= ${binary:Version}),
          ${misc:Depends},
